Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512617 - HyperV node is missing Service Tag information
Summary: HyperV node is missing Service Tag information
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Adam Grare
QA Contact: Brandon Squizzato
URL:
Whiteboard:
Depends On:
Blocks: 1514269
TreeView+ depends on / blocked
 
Reported: 2017-11-13 16:44 UTC by Jerome Marc
Modified: 2018-06-21 20:44 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514269 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:44:22 UTC
Category: ---
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jerome Marc 2017-11-13 16:44:52 UTC
Description of problem:
The Hyper-V provider do not record the Service Tag Id for the Hyper-V hypervisors. This means the Lenovo xClarity provider cannot establish the relationship between physical infra. and hypervisor.

e.g. on a HyperV hypervisor:

https://10.9.62.110/api/hosts/4
{"href":"https://10.9.62.110/api/hosts/4","id":"4","name":"hyperv3.demo.mbu.redhat.com","hostname":"hyperv3.demo.mbu.redhat.com","vmm_vendor":"microsoft","vmm_version":"6.3.9600.17729","vmm_product":"HyperV","created_on":"2017-10-09T09:56:10Z","updated_on":"2017-10-09T09:56:10Z","guid":"34ee7de2-568e-4ba6-9441-1c16eff256bf","ems_id":"11","power_state":"on","smart":1,"settings":{},"uid_ems":"33a674df-7564-4558-bd96-14dc8b8901c3","connection_state":"connected","type":"ManageIQ::Providers::Microsoft::InfraManager::Host","ems_ref":"33a674df-7564-4558-bd96-14dc8b8901c3","maintenance":true,"actions":[{"name":"edit","method":"post","href":"https://10.9.62.110/api/hosts/4"}]}

https://10.9.62.110/api/hosts/4?attributes=service_tag
{"href":"https://10.9.62.110/api/hosts/4","id":"4"}

https://10.9.62.110/api/hosts/4?attributes=hardware
{"href":"https://10.9.62.110/api/hosts/4","id":"4","name":"hyperv3.demo.mbu.redhat.com","hostname":"hyperv3.demo.mbu.redhat.com","vmm_vendor":"microsoft","vmm_version":"6.3.9600.17729","vmm_product":"HyperV","created_on":"2017-10-09T09:56:10Z","updated_on":"2017-10-09T09:56:10Z","guid":"34ee7de2-568e-4ba6-9441-1c16eff256bf","ems_id":"11","power_state":"on","smart":1,"settings":{},"uid_ems":"33a674df-7564-4558-bd96-14dc8b8901c3","connection_state":"connected","type":"ManageIQ::Providers::Microsoft::InfraManager::Host","ems_ref":"33a674df-7564-4558-bd96-14dc8b8901c3","maintenance":true,"hardware":{"href":"https://10.9.62.110/api/hardware/182","id":"182","cpu_sockets":2,"memory_mb":261310,"host_id":"4","cpu_speed":2600,"cpu_type":"Intel Xeon 179","manufacturer":"Intel","model":"Xeon","cpu_cores_per_socket":16,"cpu_total_cores":32},"actions":[{"name":"edit","method":"post","href":"https://10.9.62.110/api/hosts/4"}]}

Version-Release number of selected component (if applicable):
5.9.0.8.20171109215303_ed87902

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Service Tag should be recorded on the hypervisor host.

Additional info:

Comment 2 Adam Grare 2017-11-16 14:55:06 UTC
There is a PhysicalMachine property of SCVMHost that we can save to hardware.serial_number.

The serial_number is what RHV sets and I would rather standardize on this than service_tag.  We don't capture the VMware host's UUID but we really should.

Comment 4 CFME Bot 2017-11-16 17:04:29 UTC
New commit detected on ManageIQ/manageiq-providers-scvmm/master:
https://github.com/ManageIQ/manageiq-providers-scvmm/commit/3a3f28f1dd854346e3f136c7e4b16f13a8f0c7ed

commit 3a3f28f1dd854346e3f136c7e4b16f13a8f0c7ed
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu Nov 16 10:08:04 2017 -0500
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu Nov 16 11:38:16 2017 -0500

    Collect VMHost PhysicalMachine SMBiosGUID
    
    Retrieve the PhysicalMachine property of a VMHost and save it to
    hardware.serial_number
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1512617

 .../providers/microsoft/infra_manager/ps_scripts/get_inventory.ps1      | 1 +
 app/models/manageiq/providers/microsoft/infra_manager/refresh_parser.rb | 2 ++
 2 files changed, 3 insertions(+)


Note You need to log in before you can comment on or make changes to this bug.